package com.ssj.service.conch.schoolmaster.v1.request;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

public class GroupCommitOrderRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(name = "libraryId", value = "图书馆id", required = true)
    private String libraryId;
    
    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;
    
    @ApiModelProperty(name = "courseTimeList", value = "排课计划(上课日期数组)", required = true)
    private List<String> courseTimeList;
    
    @ApiModelProperty(name = "vipIdList", value = "学生vipId列表", required = true)
    private List<String> vipIdList;
    
    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;
    
    @ApiModelProperty(name = "subject", value = "学科", required = true)
    private String subject;

	public String getLibraryId() {
		return libraryId;
	}

	public void setLibraryId(String libraryId) {
		this.libraryId = libraryId;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public List<String> getCourseTimeList() {
		return courseTimeList;
	}

	public void setCourseTimeList(List<String> courseTimeList) {
		this.courseTimeList = courseTimeList;
	}

	public List<String> getVipIdList() {
		return vipIdList;
	}

	public void setVipIdList(List<String> vipIdList) {
		this.vipIdList = vipIdList;
	}

	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
}
